Get X/Z-Report for a till on a specific date
Get a X/Z report for a specific date for the selected till.
Required permissions: TILL_OPERATION
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport/download
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tillUidstringRequiredPattern:
Reference to a till.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
datestring · dateRequired
Responses
200
Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.
contentstringRequired
base64 encoded
contentTypestringRequired
mime type
filenamestringRequired
400
Linking failed. Ther error message will have information about what failed.
application/json
404
Linking failed. Ther error message will have information about what failed.
application/json
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport/download
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21
{
"date": "2026-01-01"
}{
"content": "text",
"contentType": "text",
"filename": "text"
}PreviousGet X/Z-Report for a till on a specific date. Returns a ZReport object
NextCash control per till and paymentmethod
Last updated
Was this helpful?

